Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #810 (reopened defect)

Opened 15 years ago

Last modified 10 years ago

wlanconfig: ioctl: Input/output error

Reported by: sellout4him@gmail.com Assigned to:
Priority: major Milestone:
Component: madwifi: other Version: trunk
Keywords: Cc:
Patch is attached: 0 Pending:

Description

here is my /var/log/messages froma clean boot:

genesis2 madwifi # wlanconfig ath0 create wlandev wifi0 wlanmode sta
wlanconfig: ioctl: Input/output error
genesis2 madwifi # dmesg
rvisor mode... Ok.
Calibrating delay using timer specific routine.. 3189.10 BogoMIPS (lpj=15945541)Mount-cache hash table entries: 512
CPU: After generic identify, caps: afe9fbff 00000000 00000000 00000000 00000000 00000000 00000000
CPU: After vendor identify, caps: afe9fbff 00000000 00000000 00000000 00000000 00000000 00000000
CPU: L1 I cache: 32K, L1 D cache: 32K
CPU: L2 cache: 1024K
CPU: After all inits, caps: afe9fbff 00000000 00000000 00000040 00000000 00000000 00000000
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: Intel(R) Celeron(R) M processor         1.60GHz stepping 08
Checking 'hlt' instruction... OK.
SMP alternatives: switching to UP code
Freeing SMP alternatives: 0k freed
ENABLING IO-APIC IRQs
..TIMER: vector=0x31 apic1=0 pin1=2 apic2=-1 pin2=-1
..MP-BIOS bug: 8254 timer not connected to IO-APIC
...trying to set up timer (IRQ0) through the 8259A ...  failed.
...trying to set up timer as Virtual Wire IRQ... works.
NET: Registered protocol family 16
ACPI: bus type pci registered
PCI: Using MMCONFIG
Setting up standard PCI resources
ACPI: Subsystem revision 20060127
ACPI: Interpreter enabled
ACPI: Using IOAPIC for interrupt routing
ACPI: PCI Root Bridge [PCI0] (0000:00)
PCI: Probing PCI hardware (bus 00)
PCI: Ignoring BAR0-3 of IDE controller 0000:00:14.1
Boot video device is 0000:01:05.0
PCI: Transparent bridge - 0000:00:14.4
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0._PRT]
ACPI: PCI Interrupt Link [LNKA] (IRQs 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKB] (IRQs 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKC] (IRQs 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKD] (IRQs 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKE] (IRQs 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKF] (IRQs 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKG] (IRQs 10 11) *0, disabled.
ACPI: PCI Interrupt Link [LNKH] (IRQs 10 11) *0, disabled.
ACPI: Embedded Controller [EC0] (gpe 7) interrupt mode.
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.P2P_._PRT]
ACPI: PCI Interrupt Routing Table [\_SB_.PCI0.AGP_._PRT]
ACPI: Power Resource [PFA1] (off)
Linux Plug and Play Support v0.97 (c) Adam Belay
pnp: PnP ACPI init
pnp: PnP ACPI: found 10 devices
SCSI subsystem initialized
usbcore: registered new driver usbfs
usbcore: registered new driver hub
PCI: Using ACPI for IRQ routing
PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
pnp: 00:08: ioport range 0x1080-0x1080 has been reserved
pnp: 00:08: ioport range 0x220-0x22f has been reserved
pnp: 00:08: ioport range 0x400-0x401 has been reserved
pnp: 00:08: ioport range 0x40b-0x40b has been reserved
PCI: Bridge: 0000:00:01.0
  IO window: 9000-9fff
  MEM window: c0100000-c01fffff
  PREFETCH window: d0000000-dfffffff
PCI: Bus 3, cardbus bridge: 0000:02:06.0
  IO window: 0000a400-0000a4ff
  IO window: 0000a800-0000a8ff
  PREFETCH window: 10000000-11ffffff
  MEM window: 14000000-15ffffff
PCI: Bridge: 0000:00:14.4
  IO window: a000-afff
  MEM window: c0200000-c02fffff
  PREFETCH window: 10000000-11ffffff
PCI: Enabling device 0000:02:06.0 (0004 -> 0007)
ACPI: PCI Interrupt 0000:02:06.0[A] -> GSI 23 (level, low) -> IRQ 177
NET: Registered protocol family 2
IP route cache hash table entries: 2048 (order: 1, 8192 bytes)
TCP established hash table entries: 8192 (order: 3, 32768 bytes)
TCP bind hash table entries: 4096 (order: 2, 16384 bytes)
TCP: Hash tables configured (established 8192 bind 4096)
TCP reno registered
Machine check exception polling timer started.
NTFS driver 2.1.27 [Flags: R/O].
Initializing Cryptographic API
io scheduler noop registered
io scheduler cfq registered (default)
Real Time Clock Driver v1.12ac
Non-volatile memory driver v1.2
Linux agpgart interface v0.101 (c) Dave Jones
[drm] Initialized drm 1.0.1 20051102
ACPI: AC Adapter [ADP0] (on-line)
ACPI: Battery Slot [BAT0] (battery present)
ACPI: Power Button (FF) [PWRF]
ACPI: Power Button (CM) [PWRB]
ACPI: Lid Switch [LID]
ACPI: Fan [FAN1] (off)
ACPI: CPU0 (power states: C1[C1] C2[C2] C3[C3])
ACPI: Processor [CPU0] (supports 8 throttling states)
ACPI: Thermal Zone [TZCR] (51 C)
Serial: 8250/16550 driver $Revision: 1.90 $ 4 ports, IRQ sharing disabled
PNP: PS/2 Controller [PNP0303:KBC0,PNP0f13:MSE0] at 0x60,0x64 irq 1,12
serio: i8042 AUX port at 0x60,0x64 irq 12
serio: i8042 KBD port at 0x60,0x64 irq 1
mice: PS/2 mouse device common for all mice
loop: loaded (max 8 devices)
e100: Intel(R) PRO/100 Network Driver, 3.5.10-k2-NAPI
e100: Copyright(c) 1999-2005 Intel Corporation
8139too Fast Ethernet driver 0.9.27
ACPI: PCI Interrupt 0000:02:07.0[A] -> GSI 20 (level, low) -> IRQ 185
eth0: RealTek RTL8139 at 0xa000, 00:a0:d1:40:45:56, IRQ 185
eth0:  Identified 8139 chip type 'RTL-8100B/8139D'
Linux video capture interface: v1.00
saa7130/34: v4l2 driver version 0.2.14 loaded
Uniform Multi-Platform E-IDE driver Revision: 7.00alpha2
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
ATIIXP: IDE controller at PCI slot 0000:00:14.1
ACPI: PCI Interrupt 0000:00:14.1[A] -> GSI 16 (level, low) -> IRQ 193
ATIIXP: chipset revision 128
ATIIXP: not 100% native mode: will probe irqs later
    ide0: BM-DMA at 0x8460-0x8467, BIOS settings: hda:pio, hdb:pio
    ide1: BM-DMA at 0x8468-0x846f, BIOS settings: hdc:DMA, hdd:pio
Probing IDE interface ide0...
input: AT Translated Set 2 keyboard as /class/input/input0
Probing IDE interface ide1...
Synaptics Touchpad, model: 1, fw: 6.2, id: 0x25a0b1, caps: 0xa04713/0x0
synaptics: Toshiba Satellite A105 detected, limiting rate to 40pps.
input: SynPS/2 Synaptics TouchPad as /class/input/input1
hdc: DVD/CDRW UJDA770, ATAPI CD/DVD-ROM drive
ide1 at 0x170-0x177,0x376 on irq 15
Probing IDE interface ide0...
hdc: ATAPI 24X DVD-ROM CD-R/RW drive, 2048kB Cache, UDMA(33)
Uniform CD-ROM driver Revision: 3.20
libata version 1.20 loaded.
sata_sil 0000:00:12.0: version 0.9
PCI: Enabling device 0000:00:12.0 (0005 -> 0007)
ACPI: PCI Interrupt 0000:00:12.0[A] -> GSI 22 (level, low) -> IRQ 201
ata1: SATA max UDMA/100 cmd 0xCC822080 ctl 0xCC82208A bmdma 0xCC822000 irq 201
ata2: SATA max UDMA/100 cmd 0xCC8220C0 ctl 0xCC8220CA bmdma 0xCC822008 irq 201
ata1: SATA link up 1.5 Gbps (SStatus 113)
ata1: dev 0 cfg 49:2f00 82:346b 83:7f09 84:6063 85:3469 86:bf09 87:6063 88:203f
ata1: dev 0 ATA-7, max UDMA/100, 78140160 sectors: LBA48
ata1: dev 0 configured for UDMA/100
scsi0 : sata_sil
ata2: SATA link down (SStatus 0)
scsi1 : sata_sil
  Vendor: ATA       Model: FUJITSU MHV2040B  Rev: 0000
  Type:   Direct-Access                      ANSI SCSI revision: 05
SCSI device sda: 78140160 512-byte hdwr sectors (40008 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: drive cache: write back
SCSI device sda: 78140160 512-byte hdwr sectors (40008 MB)
sda: Write Protect is off
sda: Mode Sense: 00 3a 00 00
SCSI device sda: drive cache: write back
 sda: sda1 sda2 sda3
sd 0:0:0:0: Attached scsi disk sda
sd 0:0:0:0: Attached scsi generic sg0 type 0
ACPI: PCI Interrupt 0000:02:06.0[A] -> GSI 23 (level, low) -> IRQ 177
Yenta: CardBus bridge found at 0000:02:06.0 [1179:ff10]
Yenta: Enabling burst memory read transactions
Yenta: Using CSCINT to route CSC interrupts to PCI
Yenta: Routing CardBus interrupts to PCI
Yenta TI: socket 0000:02:06.0, mfunc 0x01111122, devctl 0x44
Yenta: ISA IRQ mask 0x0ef8, PCI irq 177
Socket status: 30000006
pcmcia: parent PCI bridge I/O window: 0xa000 - 0xafff
pcmcia: parent PCI bridge Memory window: 0xc0200000 - 0xc02fffff
pcmcia: parent PCI bridge Memory window: 0x10000000 - 0x11ffffff
ACPI: PCI Interrupt 0000:00:13.2[A] -> GSI 19 (level, low) -> IRQ 209
ehci_hcd 0000:00:13.2: EHCI Host Controller
ehci_hcd 0000:00:13.2: new USB bus registered, assigned bus number 1
ehci_hcd 0000:00:13.2: irq 209, io mem 0xc0007000
ehci_hcd 0000:00:13.2: USB 2.0 started, EHCI 1.00, driver 10 Dec 2004
usb usb1: configuration #1 chosen from 1 choice
hub 1-0:1.0: USB hub found
hub 1-0:1.0: 8 ports detected
ohci_hcd: 2005 April 22 USB 1.1 'Open' Host Controller (OHCI) Driver (PCI)
ACPI: PCI Interrupt 0000:00:13.0[A] -> GSI 19 (level, low) -> IRQ 209
ohci_hcd 0000:00:13.0: OHCI Host Controller
ohci_hcd 0000:00:13.0: new USB bus registered, assigned bus number 2
ohci_hcd 0000:00:13.0: irq 209, io mem 0xc0005000
usb usb2: configuration #1 chosen from 1 choice
hub 2-0:1.0: USB hub found
hub 2-0:1.0: 4 ports detected
ACPI: PCI Interrupt 0000:00:13.1[A] -> GSI 19 (level, low) -> IRQ 209
ohci_hcd 0000:00:13.1: OHCI Host Controller
ohci_hcd 0000:00:13.1: new USB bus registered, assigned bus number 3
ohci_hcd 0000:00:13.1: irq 209, io mem 0xc0006000
usb usb3: configuration #1 chosen from 1 choice
hub 3-0:1.0: USB hub found
hub 3-0:1.0: 4 ports detected
USB Universal Host Controller Interface driver v3.0
Initializing USB Mass Storage driver...
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
i2c /dev entries driver
ip_conntrack version 2.4 (1525 buckets, 12200 max) - 172 bytes per conntrack
ip_tables: (C) 2000-2006 Netfilter Core Team
TCP bic registered
NET: Registered protocol family 1
NET: Registered protocol family 17
ieee80211: 802.11 data/management/control stack, git-1.1.7
ieee80211: Copyright (C) 2004-2005 Intel Corporation <jketreno@linux.intel.com>
ieee80211_crypt: registered algorithm 'NULL'
ieee80211_crypt: registered algorithm 'WEP'
ieee80211_crypt: registered algorithm 'CCMP'
ieee80211_crypt: registered algorithm 'TKIP'
Using IPI Shortcut mode
kjournald starting.  Commit interval 5 seconds
EXT3-fs: mounted filesystem with ordered data mode.
VFS: Mounted root (ext3 filesystem) readonly.
Freeing unused kernel memory: 148k freed
EXT3 FS on sda3, internal journal
ath_hal: module license 'Proprietary' taints kernel.
ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (0.9.2)
ath_rate_sample: 1.2 (0.9.2)
ath_pci: 0.9.4.5 (0.9.2)
ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 20 (level, low) -> IRQ 185
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 7.8 phy 4.5 radio 5.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
couldn't load module 'wlan_scan_sta' (-38)
unable to load wlan_scan_sta
wifi0: Atheros 5212: mem=0xc0200000, irq=185
Adding 2008116k swap on /dev/sda2.  Priority:-1 extents:1 across:2008116k
ACPI Error (evevent-0312): No installed handler for fixed event [00000004] [20060127]
ACPI: PCI Interrupt 0000:00:14.2[A] -> GSI 16 (level, low) -> IRQ 193
hda_codec: Unknown model for ALC861, trying auto-probe from BIOS...
eth0: link up, 100Mbps, full-duplex, lpa 0x45E1
couldn't load module 'wlan_scan_monitor' (-38)
unable to load wlan_scan_monitor
hda-intel: Invalid position buffer, using LPIB read method instead.
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]
ACPI Error (evevent-0312): No installed handler for fixed event [00000004] [20060127]
ALSA /var/tmp/portage/alsa-driver-1.0.11/work/alsa-driver-1.0.11/pci/hda/../../alsa-kernel/pci/hda/hda_intel.c:516: hda_intel: azx_get_response timeout, switching to single_cmd mode...
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]
ACPI: PCI interrupt for device 0000:02:04.0 disabled
ath_pci: driver unloaded
ath_rate_sample: unloaded
ath_hal: driver unloaded
wlan: driver unloaded
ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (svn r1697)
ath_rate_sample: 1.2 (svn r1697)
ath_pci: 0.9.4.5 (svn r1697)
ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 20 (level, low) -> IRQ 185
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 7.8 phy 4.5 radio 5.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
couldn't load module 'wlan_scan_sta' (-38)
unable to load wlan_scan_sta
wifi0: Atheros 5212: mem=0xc0200000, irq=185
couldn't load module 'wlan_scan_monitor' (-38)
unable to load wlan_scan_monitor
ACPI: PCI interrupt for device 0000:02:04.0 disabled
ath_pci: driver unloaded
ath_rate_sample: unloaded
ath_hal: driver unloaded
wlan: driver unloaded
ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (svn r1697)
ath_rate_sample: 1.2 (svn r1697)
ath_pci: 0.9.4.5 (svn r1697)
ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 20 (level, low) -> IRQ 185
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 7.8 phy 4.5 radio 5.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
couldn't load module 'wlan_scan_sta' (-38)
unable to load wlan_scan_sta
wifi0: Atheros 5212: mem=0xc0200000, irq=185
couldn't load module 'wlan_scan_monitor' (-38)
unable to load wlan_scan_monitor
ACPI: PCI interrupt for device 0000:02:04.0 disabled
ath_pci: driver unloaded
ath_rate_sample: unloaded
ath_hal: driver unloaded
wlan: driver unloaded
wlan: 0.8.4.2 (svn r1697)
wlan: driver unloaded
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]
ath_hal: 0.9.17.2 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
wlan: 0.8.4.2 (svn r1697)
ath_rate_sample: 1.2 (svn r1697)
ath_pci: 0.9.4.5 (svn r1697)
ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 20 (level, low) -> IRQ 185
wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
wifi0: H/W encryption support: WEP AES AES_CCM TKIP
wifi0: mac 7.8 phy 4.5 radio 5.6
wifi0: Use hw queue 1 for WME_AC_BE traffic
wifi0: Use hw queue 0 for WME_AC_BK traffic
wifi0: Use hw queue 2 for WME_AC_VI traffic
wifi0: Use hw queue 3 for WME_AC_VO traffic
wifi0: Use hw queue 8 for CAB traffic
wifi0: Use hw queue 9 for beacons
couldn't load module 'wlan_scan_sta' (-38)
unable to load wlan_scan_sta
wifi0: Atheros 5212: mem=0xc0200000, irq=185
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]
ACPI Error (evevent-0312): No installed handler for fixed event [00000000] [20060127]

_

Here is the output after modprobing ath_pci and trying to make the device. _

#genesis2 madwifi # wlanconfig ath0 create wlandev wifi0 wlanmode sta

#wlanconfig: ioctl: Input/output error

I have this problem with both th portage version and the latest svn versions. trued mutiple uninstalls/reinstalls.

Open to suggestions, i know madwifi works with my atheros chip on this laptop since it works fine with the madwifi driver contained on the dapper ubuntu live cd which is how I've been forced to use wireless as of late instead of on the gentoo install on teh hard drive... :-( help!

Change History

08/08/06 18:05:11 changed by anonymous

Note: wireless-tools and baselayout are both updated to latest unmasked versions however same error occoured with previous versions.

08/08/06 20:26:26 changed by mrenzmann

08/10/06 00:36:35 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.

This issue seems to be fixed. Reopen if necessarey.

12/24/06 00:19:09 changed by sellout4him@gmail.com

Latest svn, exact same issue...still I am positive however madwifi CAN work beautifully on my chip because the Sabayon livecd runs it flawlessly with its own madwifi.

I have tried several portage versions and am now using svn....

But always still get this same error :-(

12/25/06 08:31:07 changed by mrenzmann

  • status changed from closed to reopened.
  • resolution deleted.

@sellout4him: please show us a dump of iwconfig and ifconfig output after loading the driver (enclose them with {{{ and }}} and use the preview function to make sure that the result is displayed properly).

12/25/06 22:18:02 changed by sellout4him@gmail.com

dmesg on "modprobe ath_pci autocreate=sta"

(this output is identical to just plain "modprobe ath_pci")

Dec 25 14:01:14 genesis2 bash: HISTORY: PID=5294 UID=0 modprobe ath_pci autocreate=sta
Dec 25 14:01:14 genesis2 ath_hal: 0.9.18.0 (AR5210, AR5211, AR5212, RF5111, RF5112, RF2413, RF5413)
Dec 25 14:01:14 genesis2 wlan: 0.8.4.2 (0.9.3)
Dec 25 14:01:14 genesis2 ath_rate_sample: 1.2 (0.9.3)
Dec 25 14:01:16 genesis2 ath_pci: 0.9.4.5 (0.9.3)
Dec 25 14:01:16 genesis2 ACPI: PCI Interrupt 0000:02:04.0[A] -> GSI 20 (level, low) -> IRQ 20
Dec 25 14:01:16 genesis2 wifi0: 11b rates: 1Mbps 2Mbps 5.5Mbps 11Mbps
Dec 25 14:01:16 genesis2 wifi0: 11g rates: 1Mbps 2Mbps 5.5Mbps 11Mbps 6Mbps 9Mbps 12Mbps 18Mbps 24Mbps 36Mbps 48Mbps 54Mbps
Dec 25 14:01:16 genesis2 wifi0: H/W encryption support: WEP AES AES_CCM TKIP
Dec 25 14:01:16 genesis2 wifi0: mac 7.8 phy 4.5 radio 5.6
Dec 25 14:01:16 genesis2 wifi0: Use hw queue 1 for WME_AC_BE traffic
Dec 25 14:01:16 genesis2 wifi0: Use hw queue 0 for WME_AC_BK traffic
Dec 25 14:01:16 genesis2 wifi0: Use hw queue 2 for WME_AC_VI traffic
Dec 25 14:01:16 genesis2 wifi0: Use hw queue 3 for WME_AC_VO traffic
Dec 25 14:01:16 genesis2 wifi0: Use hw queue 8 for CAB traffic
Dec 25 14:01:16 genesis2 wifi0: Use hw queue 9 for beacons
Dec 25 14:01:16 genesis2 couldn't load module 'wlan_scan_sta' (-38)
Dec 25 14:01:16 genesis2 unable to load wlan_scan_sta
Dec 25 14:01:16 genesis2 wifi0: Atheros 5212: mem=0xc0200000, irq=20
Dec 25 14:01:16 genesis2 ivman: New Device: /org/freedesktop/Hal/devices/net_00_16_e3_31_87_cb
Dec 25 14:01:16 genesis2 ivman: /org/freedesktop/Hal/devices/net_00_16_e3_31_87_cb wasn't mounted, by us or by others...
Dec 25 14:01:16 genesis2 ivman: New Device: /org/freedesktop/Hal/devices/net_00_16_e3_31_87_cb_0
Dec 25 14:01:16 genesis2 ivman: /org/freedesktop/Hal/devices/net_00_16_e3_31_87_cb_0 wasn't mounted, by us or by others...

iwconfig:

lo        no wireless extensions.

eth0      no wireless extensions.

wifi0     no wireless extensions.

ath0      IEEE 802.11b  ESSID:""  Nickname:""
          Mode:Managed  Channel:0  Access Point: Not-Associated
          Bit Rate:0 kb/s   Tx-Power:0 dBm   Sensitivity=0/3
          Retry:off   RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:0  Signal level:0  Noise level:0
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:0   Missed beacon:0

ifconfig:

eth0      Link encap:Ethernet  HWaddr 00:A0:D1:40:45:56
          inet addr:31.3.3.72  Bcast:31.3.3.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:5907 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3063 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:7823928 (7.4 Mb)  TX bytes:252681 (246.7 Kb)
          Interrupt:20 Base address:0xa000

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

then ifconfig again after "ifconfig wifi0 up && ifconfig ath0 up"

ath0      Link encap:Ethernet  HWaddr 00:16:E3:31:87:CB
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

eth0      Link encap:Ethernet  HWaddr 00:A0:D1:40:45:56
          inet addr:31.3.3.72  Bcast:31.3.3.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:5957 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3101 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:7827852 (7.4 Mb)  TX bytes:258069 (252.0 Kb)
          Interrupt:20 Base address:0xa000

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

wifi0     Link encap:UNSPEC  HWaddr 00-16-E3-31-87-CB-4B-A9-00-00-00-00-00-00-00-00
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:1
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:199
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)
          Interrupt:20 Memory:ed2e0000-ed2f0000

Also here is some of my "modinfo ath_pci"

filename:       /lib/modules/2.6.19-beyond1/net/ath_pci.ko
author:         Errno Consulting, Sam Leffler
description:    Support for Atheros 802.11 wireless LAN cards.
version:        0.9.3
license:        Dual BSD/GPL
vermagic:       2.6.19-beyond1 mod_unload PENTIUMM REGPARM
depends:        ath_hal,ath_rate_sample,wlan

Hopefully this documentation helps... Let me know guys. :-)

07/26/07 05:29:08 changed by mentor

@sellout4him: In these examples you have an already existing STA interface. You may only have one STA interface on the same physical device. Also, it has the same name as the interface you are trying to create.

Also, it is showing problems loading the wlan_scan_sta module. This is needed for STA operation. Please check the reasons why it is not loading.

06/09/11 10:41:31 changed by Eno369

Try wlanconfig ath0 create wlandev wifi0 wlanmode sta nosbeacon

02/22/12 00:08:30 changed by geoppyInnobre

(erectile dysfunction, ED). Dosage, side effects, and drug interaction information is provided.